Package org.apache.avro.ipc.netty

# Class NettyTransportCodec.NettyFrameDecoder

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.handler.codec.ByteToMessageDecoder
org.apache.avro.ipc.netty.NettyTransportCodec.NettyFrameDecoder

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

Enclosing class:
  `NettyTransportCodec`

public static class NettyTransportCodec.NettyFrameDecoder extends io.netty.handler.codec.ByteToMessageDecoder
Protocol decoder which converts Netty's ChannelBuffer to NettyDataPack which contains a List<ByteBuffer> needed by Avro Responder.

## Nested Class Summary

## Nested classes/interfaces inherited from class io.netty.handler.codec.ByteToMessageDecoder

`io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Field Summary

### Fields inherited from class io.netty.handler.codec.ByteToMessageDecoder

`COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

## Constructor Summary

Constructors
Constructor
Description
`NettyFrameDecoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out)`
decode buffer to NettyDataPack

### Methods inherited from class io.netty.handler.codec.ByteToMessageDecoder

`actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, handlerAdded, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded`

## Constructor Details

### NettyFrameDecoder

public NettyFrameDecoder()

## Method Details

### decode

protected void decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out) throws Exception
decode buffer to NettyDataPack

Specified by:
  `decode` in class `io.netty.handler.codec.ByteToMessageDecoder`
Throws:
  `Exception`